#include <bits/stdc++.h>
using namespace std;

int aps(int x){
    if(x<0)return -x;
    else return x;
}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int x1,y1,x2,y2;
    cin>>x1>>y1;
    cin>>x2>>y2;
    if(x1==x2 || y1==y2)cout<<"2"<<endl;
    else{
        if(aps(x1-x2)==aps(y1-y2))cout<<"1"<<endl;
        else cout<<"0"<<endl;

    }

return 0;
}